Subject: Re: bug#16901: 24.3.50; emacs_backtrace.txt

From: Ken Brown <[email-masked]>
Date: Mon, 03 Mar 2014 18:20:09 -0500

On 3/3/2014 11:54 AM, Eli Zaretskii wrote:
> P.S. The bugs in gmalloc were so glaring that I'd appreciate if
> someone could eyeball my changes, in case I grossly misunderstood the
> code.  When I see such bugs in such veteran code, I usually question
> my own sanity.  TIA.

I may be misunderstanding the code too, but I don't think your fix to 
aligned_alloc is quite right.  If adj == 0 in line 1596, then we've 
allocated much more memory than we needed, and the next call to malloc 
(line 1602) allocates even more.  And if adj == 1 in line 1596, then 
we've allocated exactly as much memory as we needed, so there's no need 
to call malloc again in line 1602.

Ken